\name{rareVariantVis}
\alias{rareVariantVis}

\title{
Interactive visualization of rare variants on the chromosome
}
\description{
Reads file containing table of rare variants from one chromosome and provides adequate visualization. Input file can be obtained from function chromosomeVis.
Function outputs visualization html figure in current working directory. Figure illustrates variants (dots) in their genomic coordinates (x axis). Ratio of alternative reads and depth (y axis) gives information about type of variant: homozygous alternative (expected ratio 1) and heterozygous (expected ratio 0.5). Zoom to the figures is possible, by marking the region of interest with mouse left click. Right click induces zoom out and return to the original plot.
Pointing on variants provides basic information about the variant - gene name and position on chromosome.

}
\usage{
rareVariantVis(file, sample, chromosome, centromeres)
}

\arguments{
    \item{file}{a connection or a character string giving the
         name of the file to load. File should include tab delimited text file with columns:
         Start.position - for location on chromosome, SNP.Frequency - for dbSNP frequency,
         DP - sequencing depth, AD - allelic depths for reference and alternative alleles,
         Gene.name - gene symbol.}
        \item{sample}{character string giving the
         sample name}
        \item{chromosome}{a numeric value giving the
         analyzed chromosome number}
        \item{centromeres}{a data frame providing location of centromeres on chromosomes}
}

\value{
    \item{comp1}{function returns html file with visualization of rare variants}
}

\author{
Tomasz Stokowy
}

\examples{
rareVariantVis(SonRareVariantsChr21, "1", 21, CentromeresHg19)
}

\keyword{ ~visualization }
\keyword{ ~rare varaints }
